Bug 1027246 - [Usability] RFE: data should not be lost after form is sent and request failed on server side
[Usability] RFE: data should not be lost after form is sent and request faile...
Status: NEW
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console - UX (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: EAP 6.4.0
Assigned To: Catherine Robson
Pavel Jelinek
Russell Dickenson
Usability
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 07:19 EST by Jakub Cechacek
Modified: 2015-02-01 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-09 07:38:17 EDT
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-298 Minor Open Data should not be lost after form is sent and request failed on server side 2017-06-20 09:39 EDT

  None (edit)
Description Jakub Cechacek 2013-11-06 07:19:32 EST
For some actions, it is possible to lose data entered into form / wizard. This generally occurs whenever there is a failure on server side after sending a form containing invalid data (due to missing client-side validation or no possibility to validate users input). 

An example of such action would be a creation of new datasource with existing name. Regardless the error, "New Datasource" wizard is closed after clicking on "Done" button in the last step and everything is lost.

Action as "closing wizard" or switching form back to view mode should happen only after receiving server response with no errors.
Comment 1 Harald Pehl 2013-11-06 14:53:40 EST
Postponed to EAP 6.3
Comment 2 Heiko Braun 2014-07-09 07:38:17 EDT
In agreement with Catherine we've decided that UX issues will be tracked separately.
Comment 3 Jakub Cechacek 2014-07-21 02:21:39 EDT
Issue moved under the UX component. 

Also moved to 6.4 as this issue is still valid for 6.3. Use ack flags to decide whether we want to go through with it or not.
Comment 4 Catherine Robson 2014-08-01 13:34:16 EDT
UX to bundle this into the wizard design w/ validation & checking work for EAP 7.
Comment 5 Heiko Braun 2014-08-25 09:27:31 EDT
 I't s not a bug nor a UX issue: The data is send to the server and then refreshed. Regardless if the operation fails or not, the most recent data is fetched. I would close this as rejected.

Note You need to log in before you can comment on or make changes to this bug.